<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white_bg"
    android:overScrollMode="never">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/next_btn"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="15dp"
            >

            <ImageView
                android:id="@+id/back_btn"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:contentDescription="@string/back_button"
                android:padding="5dp"
                android:paddingStart="-15dp"
                android:paddingEnd="0dp"
                android:layout_centerVertical="true"
                android:src="@drawable/arrow_back" />

            <ImageView
                android:id="@+id/open_menu_btn"
                android:visibility="gone"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:paddingHorizontal="10dp"
                android:src="@drawable/ic_three_dots"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                />

        </RelativeLayout>

        <TextView
            android:id="@+id/title_txt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="5dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/add_10_family_and_friend_contact_information"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:fontFamily="@font/nunito_regular"
            android:text="@string/atleast_add_one_contact"
            android:textColor="@color/black" />

        <ProgressBar
            android:id="@+id/progress_bar"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_gravity="center_horizontal"

            android:layout_marginTop="50dp"

            />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/contact_rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="15dp"
            android:overScrollMode="never" />

    </LinearLayout>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/next_btn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginBottom="15dp"
        android:layout_marginTop="5dp"
        android:drawableEnd="@drawable/ic_forward_error"
        android:drawablePadding="15dp"
        android:fontFamily="@font/nunito_regular"
        android:paddingVertical="15dp"
        android:text="@string/next"
        android:textAllCaps="false"
        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
        android:textColor="@color/white_bg"
        android:visibility="visible"

        android:layout_alignParentBottom="true"

        app:backgroundTint="@color/color_primary"
        app:cornerRadius="20dp" />

</RelativeLayout>